## GdaTreeMgrTables

GdaTreeMgrTables — A tree manager which creates a node for each table in a schema

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | gda_tree_mgr_tables_new ()

## Properties

GdaConnection * | connection | Read / Write / Construct Only
GdaMetaStore * | meta-store | Read / Write / Construct Only
gchar * | schema | Write / Construct Only

## Types and Values

struct | GdaTreeMgrTables

## Object Hierarchy

        GObject
        ╰── GdaTreeManager
            ╰── GdaTreeMgrTables

## Includes

    #include <libgda/gda-statement-extra.h>

## Description

The GdaTreeMgrTables is a GdaTreeManager object which creates a node for each table in a database schema.

It uses the GdaMetaStore associated to a GdaConnection to get the tables list in database schema; it's up to the caller to make sure the data in the GdaMetaStore is up to date.

The GdaConnection to be used needs to be specified when the object is created. The schema can however be specified when the object is created, and if not, is fetched from the GdaTreeNode below which the nodes will be placed (using `gda_tree_node_fetch_attribute()`).

## Functions

### gda_tree_mgr_tables_new ()

    GdaTreeManager *
    gda_tree_mgr_tables_new (GdaConnection *cnc,
                             const gchar *schema);

Creates a new GdaTreeManager object which will add one tree node for each table found in the `schema` if it is not `NULL`, or for each table visible by default in `cnc` .

#### Parameters

cnc | a GdaConnection object |
schema | a schema name or `NULL`. | [allow-none]

#### Returns

a new GdaTreeManager object.

[transfer full]

Since: 4.2

## Types and Values

### struct GdaTreeMgrTables

    struct GdaTreeMgrTables;

## Property Details

### The `“connection”` property

      “connection”               GdaConnection *

Defines the GdaConnection to display information for. Necessary upon construction unless the “meta-store” property is specified instead.

Flags: Read / Write / Construct Only

### The `“meta-store”` property

      “meta-store”               GdaMetaStore *

Defines the GdaMetaStore to extract information from. Necessary upon construction unless the “connection” property is specified instead. This property has priority over the GdaTreeMgrTables:connection property.

Flags: Read / Write / Construct Only

Since: 4.2.4

### The `“schema”` property

      “schema”                   gchar *

If no set, then the table name will be fetched from the parent node using the "schema" attribute. If not found that way, then the list of visible tables (tables which can be identified without having to specify a schema) will be used

Flags: Write / Construct Only

Default value: NULL